package com.jojubanking.boot.module.system.convert.childitem;

import java.util.*;

import com.jojubanking.boot.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import com.jojubanking.boot.module.system.controller.admin.childitem.vo.*;
import com.jojubanking.boot.module.system.dal.dataobject.childitem.ChilditemDO;

/**
 * 检查项目子 Convert
 *
 * @author admin
 */
@Mapper
public interface ChilditemConvert {

    ChilditemConvert INSTANCE = Mappers.getMapper(ChilditemConvert.class);

    ChilditemDO convert(ChilditemCreateReqVO bean);

    ChilditemDO convert(ChilditemUpdateReqVO bean);

    ChilditemRespVO convert(ChilditemDO bean);

    List<ChilditemRespVO> convertList(List<ChilditemDO> list);

    PageResult<ChilditemRespVO> convertPage(PageResult<ChilditemDO> page);

    List<ChilditemExcelVO> convertList02(List<ChilditemDO> list);

}
